Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Profile Fields
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
        PUT
      • Get Customer Profile Fields for a Workspace
        POST
      • Update Custom Fields
        PATCH
      • Delete Custom Fields
        DELETE
  • Campaigns
    • Campaign Messages Management
    • Get All Accounts Campaigns
      POST
    • Publish Messages to Secure Storage
      POST
    • Get Campaign Messages Pages
      POST
    • Retrieve Published Messages
      POST
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Profile Fields

Create a Custom Profile Field

PUT
https://client-api.nudgescribe.com/v1/cpf
ContentCustomerProfleCustomer Profile FieldsCPFCreate
Creates a new custom field for collecting customer profile data within your workspace. This endpoint allows you to define dynamic fields that match your specific customer data collection needs.
Enables your application to programmatically create custom fields that will be used for customer data collection, allowing you to tailor the customer profile schema to your business requirements.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠401Enum Data Error
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request PUT 'https://client-api.nudgescribe.com/v1/cpf' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "workspace_id": "your-workspace-uuid",
  "display_name": "Currency",
  "field_type": "currency",
  "field_format": "USD",
  "is_required": true,
  "pii": false
}'
Response Response Example
200 - Example 1
[
    {
        "field_id": "string",
        "workspace_id": "string",
        "field_key": "string",
        "display_name": "string",
        "field_type": "string",
        "field_format": "string",
        "validation_regex": "string",
        "is_required": true,
        "pii": true,
        "is_default": true,
        "order_pos": 0,
        "created_at": "string",
        "updated_at": "string",
        "created_by": "string",
        "updated_by": "string",
        "enum_value": [
            {}
        ]
    }
]
Modified at 2026-01-29 13:09:11
Previous
Customer Profile Fields
Next
Get Customer Profile Fields for a Workspace
Built with